apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"operators.coreos.com/v1alpha1","kind":"CatalogSource","metadata":{"annotations":{},"name":"addon-managed-odh-catalog","namespace":"redhat-ods-operator"},"spec":{"displayName":"Red
      Hat OpenShift Data
      Science","image":"brew.registry.redhat.io/rh-osbs/iib:452818","publisher":"RHODS
      Addons Development Catalog","sourceType":"grpc"}}
  creationTimestamp: '2023-03-21T12:45:03Z'
  generation: 2
  managedFields:
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          .: {}
          'f:displayName': {}
          'f:image': {}
          'f:publisher': {}
          'f:sourceType': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2023-03-21T13:07:24Z'
    - apiVersion: operators.coreos.com/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:message': {}
          'f:reason': {}
      manager: catalog
      operation: Update
      subresource: status
      time: '2023-03-21T13:10:04Z'
  name: addon-managed-odh-catalog
  namespace: redhat-ods-operator
  resourceVersion: '84509'
  uid: 58bf32f5-9cc7-4430-a5f8-4e53efe854fe
spec:
  displayName: Red Hat OpenShift Data Science
  image: 'brew.registry.redhat.io/rh-osbs/iib:452818'
  publisher: RHODS Addons Development Catalog
  sourceType: grpc
status:
  message: >-
    couldn't ensure registry server - error ensuring pod: : error creating new
    pod: addon-managed-odh-catalog-: pods "addon-managed-odh-catalog-ckffg" is
    forbidden: violates PodSecurity "restricted:v1.24": allowPrivilegeEscalation
    != false (container "registry-server" must set
    securityContext.allowPrivilegeEscalation=false), unrestricted capabilities
    (container "registry-server" must set
    securityContext.capabilities.drop=["ALL"]), runAsNonRoot != true (pod or
    container "registry-server" must set securityContext.runAsNonRoot=true),
    seccompProfile (pod or container "registry-server" must set
    securityContext.seccompProfile.type to "RuntimeDefault" or "Localhost")
  reason: RegistryServerError
